stages:
    - package
    - release

package:
    stage: package
    image: python:3
    rules:
        - if: $CI_COMMIT_TAG
    script:
        - python package.py
    artifacts:
        paths:
            - tarvalley-blender-tools_${CI_COMMIT_TAG}.zip

release:
    stage: release
    image: registry.gitlab.com/gitlab-org/release-cli:latest
    rules:
        - if: $CI_COMMIT_TAG
    script:
        - >
            release-cli create --name "Release $CI_COMMIT_TAG" 
            --tag-name "$CI_COMMIT_TAG" --ref "$CI_COMMIT_SHA"
            --assets-link "{\"name\": \"Addon (zip)\", \"url\": \"https://gitlab.com/tarvalley/public/blender-tools/-/jobs/artifacts/$CI_COMMIT_TAG/raw/tarvalley-blender-tools_$CI_COMMIT_TAG.zip?job=package\", \"link_type\": \"package\"}"
